<?php
	/* prepara o documento para comunicação com o JSON, as duas linhas a seguir são obrigatórias 
	  para que o PHP saiba que irá se comunicar com o JSON, elas sempre devem estar no ínicio da página */
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=utf-8");

    include("dados-conexao.php");

	try {
		$conecta = new PDO("mysql:host=$servidor;dbname=$banco", $usuario , $senha);
		$conecta->exec("set names utf8"); // Permite caracteres latinos.
		$consulta = $conecta->prepare('SELECT * FROM tb01_bandas');				
        $consulta->execute(array());  
		$resultadoDaConsulta = $consulta->fetchAll();
		

    
		$StringJson = "["; 
	    if ( count($resultadoDaConsulta) ) {
			
			// Gera arquivo CSV
			$fp = fopen("bandas.csv", "w"); // o "a" indica que o arquivo será sobrescrito sempre que esta função for executada.
			$escreve = fwrite($fp, "Banda;Estilo;Ano;Descrição");
			
			foreach($resultadoDaConsulta as $registro) 
			{ 		  			
				$escreve = fwrite($fp, "\n$registro[banda_nome];$registro[banda_estilo];$registro[banda_ano];$registro[banda_descricao]");			  
				if ($StringJson != "[") {$StringJson .= ",";}
				$StringJson .= '{"banda_nome":"' . $registro['banda_nome']  . '",';
				$StringJson .= '"banda_estilo":"' . $registro['banda_estilo']  . '",';	
				$StringJson .= '"banda_ano":"' . $registro['banda_ano']    . '",';	
				$StringJson .= '"banda_descricao":"' . $registro['banda_descricao'] . '"}';
		      }  
		echo $StringJson . "]"; // Exibe o vettor JSON
		
		fclose($fp);
		// Converte para XLS
		include("PHPExcel/Classes/PHPExcel/IOFactory.php");
		$objReader = PHPExcel_IOFactory::createReader('CSV');
		$objReader->setDelimiter(";"); // define que a separação dos dados é feita por ponto e vírgula
		$objReader->setInputEncoding('UTF-8'); // habilita os caracteres latinos.
		$objPHPExcel = $objReader->load('bandas.csv'); //indica qual o arquivo CSV que será convertido
		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
		$objWriter->save('bandas.xls'); // Resultado da conversão; um arquivo do EXCEL   
		
        } 
    } catch(PDOException $e) {
        echo 'ERROR: ' . $e->getMessage(); // opcional, apenas para teste
    }  
?>
